org.eclipse.microprofile.lra.tck.participant.api

## Class GenericLRAException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - jakarta.ws.rs.WebApplicationException
        - - org.eclipse.microprofile.lra.tck.participant.api.GenericLRAException

All Implemented Interfaces:
  Serializable

    public class GenericLRAException
    extends jakarta.ws.rs.WebApplicationException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GenericLRAException(URI lraId, String message, Throwable cause)`

### Method Summary

All Methods Instance Methods Concrete Methods
`URI` `getLraId()`

### Methods inherited from class jakarta.ws.rs.WebApplicationException

`getResponse`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GenericLRAException

    public GenericLRAException(URI lraId,
                               String message,
                               Throwable cause)

### Method Detail

#### getLraId

    public URI getLraId()